pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices Struct Reference

optimization functor structure More...

`#include <pcl/registration/gicp.h>`

Inheritance diagram for pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices:

## Public Member Functions

| OptimizationFunctorWithIndices (const GeneralizedIterativeClosestPoint *gicp)
double | operator() (const Vector6d &x)
void | df (const Vector6d &x, Vector6d &df)
void | fdf (const Vector6d &x, double &f, Vector6d &df)
Public Member Functions inherited from BFGSDummyFunctor< double, 6 >
| BFGSDummyFunctor ()
| BFGSDummyFunctor (int inputs)
virtual | ~BFGSDummyFunctor ()
int | inputs () const
virtual double | operator() (const VectorType &x)=0
virtual void | df (const VectorType &x, VectorType &df)=0
virtual void | fdf (const VectorType &x, Scalar &f, VectorType &df)=0

## Public Attributes

const GeneralizedIterativeClosestPoint * | gicp_
Public Attributes inherited from BFGSDummyFunctor< double, 6 >
const int | m_inputs

## Additional Inherited Members

Public Types inherited from BFGSDummyFunctor< double, 6 >
enum |
typedef double | Scalar
typedef Eigen::Matrix< Scalar, InputsAtCompileTime, 1 > | VectorType

## Detailed Description

### template<typename PointSource, typename PointTarget>
struct pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices

optimization functor structure

Definition at line 332 of file gicp.h.

## Constructor & Destructor Documentation

template<typename PointSource, typename PointTarget>

pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices | ( | const GeneralizedIterativeClosestPoint * | gicp | ) |

inline

Definition at line 334 of file gicp.h.

References pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::df(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::fdf(), and pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::operator()().

## Member Function Documentation

template<typename PointSource , typename PointTarget >

void pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::df | ( | const Vector6d & | x,
|  | Vector6d & | df
| ) |  |

inline

Definition at line 280 of file gicp.hpp.

References pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::applyState(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::base_transformation_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::computeRDerivative(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::gicp_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::mahalanobis(), pcl::PointCloud< PointT >::points, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_src_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_tgt_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_src_, and pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_tgt_.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices().

template<typename PointSource , typename PointTarget >

void pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::fdf | ( | const Vector6d & | x,
|  | double & | f,
|  | Vector6d & | df
| ) |  |

inline

Definition at line 316 of file gicp.hpp.

References pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::applyState(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::base_transformation_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::computeRDerivative(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::gicp_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::mahalanobis(), pcl::PointCloud< PointT >::points, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_src_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_tgt_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_src_, and pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_tgt_.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices().

template<typename PointSource , typename PointTarget >

double pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::operator() | ( | const Vector6d & | x | ) |

inline

Definition at line 255 of file gicp.hpp.

References pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::applyState(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::base_transformation_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::gicp_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::mahalanobis(), pcl::PointCloud< PointT >::points, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_src_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_idx_tgt_, pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_src_, and pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::tmp_tgt_.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices().

## Member Data Documentation

template<typename PointSource, typename PointTarget>

const GeneralizedIterativeClosestPoint* pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::gicp_

Definition at line 340 of file gicp.h.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::df(), pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::fdf(), and pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::OptimizationFunctorWithIndices::operator()().

The documentation for this struct was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/gicp.h
- /build/pcl-6_P28C/pcl-1.7.2/registration/include/pcl/registration/impl/gicp.hpp